<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>Constant Field Values (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<section role="region">
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#cern.dip">cern.dip.*</a></li>
</ul>
</section>
</div>
<div class="constantValuesContainer"><a id="cern.dip">
<!--   -->
</a>
<section role="region">
<h2 title="cern.dip">cern.dip.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary">
<caption><span>cern.dip.<a href="cern/dip/DipData.html" title="interface in cern.dip">DipData</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_BOOLEAN">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_BOOLEAN">TYPE_BOOLEAN</a></code></th>
<td class="colLast"><code>1</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_BOOLEAN_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_BOOLEAN_ARRAY">TYPE_BOOLEAN_ARRAY</a></code></th>
<td class="colLast"><code>10</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_BYTE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_BYTE">TYPE_BYTE</a></code></th>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_BYTE_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_BYTE_ARRAY">TYPE_BYTE_ARRAY</a></code></th>
<td class="colLast"><code>20</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_DOUBLE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_DOUBLE">TYPE_DOUBLE</a></code></th>
<td class="colLast"><code>7</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_DOUBLE_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_DOUBLE_ARRAY">TYPE_DOUBLE_ARRAY</a></code></th>
<td class="colLast"><code>70</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_FLOAT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_FLOAT">TYPE_FLOAT</a></code></th>
<td class="colLast"><code>6</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_FLOAT_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_FLOAT_ARRAY">TYPE_FLOAT_ARRAY</a></code></th>
<td class="colLast"><code>60</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_INT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_INT">TYPE_INT</a></code></th>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_INT_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_INT_ARRAY">TYPE_INT_ARRAY</a></code></th>
<td class="colLast"><code>40</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_LONG">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_LONG">TYPE_LONG</a></code></th>
<td class="colLast"><code>5</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_LONG_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_LONG_ARRAY">TYPE_LONG_ARRAY</a></code></th>
<td class="colLast"><code>50</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_NULL">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_NULL">TYPE_NULL</a></code></th>
<td class="colLast"><code>0</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_SHORT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_SHORT">TYPE_SHORT</a></code></th>
<td class="colLast"><code>3</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_SHORT_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_SHORT_ARRAY">TYPE_SHORT_ARRAY</a></code></th>
<td class="colLast"><code>30</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_STRING">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_STRING">TYPE_STRING</a></code></th>
<td class="colLast"><code>8</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.DipData.TYPE_STRING_ARRAY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/DipData.html#TYPE_STRING_ARRAY">TYPE_STRING_ARRAY</a></code></th>
<td class="colLast"><code>80</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary">
<caption><span>cern.dip.implementation.<a href="cern/dip/implementation/DipDataImp.html" title="class in cern.dip.implementation">DipDataImp</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="cern.dip.implementation.DipDataImp.FIELD_NAME_WHEN_PRMITIVE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="cern/dip/implementation/DipDataImp.html#FIELD_NAME_WHEN_PRMITIVE">FIELD_NAME_WHEN_PRMITIVE</a></code></th>
<td class="colLast"><code>"__DIP_DEFAULT__"</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
